﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Entities
{
    public class AnswerEntity
    {
        /// <summary>
        /// define an entity of an answer for a Question with Mutiple Choice
        /// properties :
        ///     Id : identifier in the database
        ///     Content : content of the answer
        /// </summary>
        public int Id { get; set; }
        public string Content { get; set; } = null!;

        [ForeignKey(nameof(QuestionEntity))]
        public int IdQuestion { get; set; }
    }
}
